RESTinio

Public Member Functions | List of all members
nonstd::variants::detail::TX< T > Struct Template Reference

`#include <variant.hpp>`

Inheritance diagram for nonstd::variants::detail::TX< T >:

## Public Member Functions
TX< T > | operator+ () const
TX< T > | operator- () const
TX< T > | operator! () const
TX< T > | operator~ () const
TX< T > * | operator& () const
template<class U >
TX< T > | operator* (U const &) const
template<class U >
TX< T > | operator/ (U const &) const
template<class U >
TX< T > | operator% (U const &) const
template<class U >
TX< T > | operator+ (U const &) const
template<class U >
TX< T > | operator- (U const &) const
template<class U >
TX< T > | operator<< (U const &) const
template<class U >
TX< T > | operator>> (U const &) const
bool | operator== (T const &) const
bool | operator< (T const &) const
template<class U >
TX< T > | operator& (U const &) const
template<class U >
TX< T > | operator| (U const &) const
template<class U >
TX< T > | operator^ (U const &) const
template<class U >
TX< T > | operator&& (U const &) const
template<class U >
TX< T > | operator|| (U const &) const

## Detailed Description

template<class T>
struct nonstd::variants::detail::TX< T >

Definition at line 629 of file variant.hpp.

## Member Function Documentation

## ◆ operator!()

template<class T >

TX< T > nonstd::variants::detail::TX< T >::operator! | ( |  | ) | const
| inline

Definition at line 634 of file variant.hpp.

## ◆ operator%()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator% | ( | U const & |  | ) | const
| inline

Definition at line 642 of file variant.hpp.

## ◆ operator&() [1/2]

template<class T >

TX< T > * nonstd::variants::detail::TX< T >::operator& | ( |  | ) | const
| inline

Definition at line 637 of file variant.hpp.

## ◆ operator&() [2/2]

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator& | ( | U const & |  | ) | const
| inline

Definition at line 652 of file variant.hpp.

## ◆ operator&&()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator&& | ( | U const & |  | ) | const
| inline

Definition at line 656 of file variant.hpp.

## ◆ operator*()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator* | ( | U const & |  | ) | const
| inline

Definition at line 639 of file variant.hpp.

## ◆ operator+() [1/2]

template<class T >

TX< T > nonstd::variants::detail::TX< T >::operator+ | ( |  | ) | const
| inline

Definition at line 631 of file variant.hpp.

## ◆ operator+() [2/2]

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator+ | ( | U const & |  | ) | const
| inline

Definition at line 643 of file variant.hpp.

## ◆ operator-() [1/2]

template<class T >

TX< T > nonstd::variants::detail::TX< T >::operator- | ( |  | ) | const
| inline

Definition at line 632 of file variant.hpp.

## ◆ operator-() [2/2]

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator- | ( | U const & |  | ) | const
| inline

Definition at line 644 of file variant.hpp.

## ◆ operator/()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator/ | ( | U const & |  | ) | const
| inline

Definition at line 640 of file variant.hpp.

## ◆ operator<()

template<class T >

bool nonstd::variants::detail::TX< T >::operator< | ( | T const & |  | ) | const
| inline

Definition at line 650 of file variant.hpp.

## ◆ operator<<()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator<< | ( | U const & |  | ) | const
| inline

Definition at line 644 of file variant.hpp.

## ◆ operator==()

template<class T >

bool nonstd::variants::detail::TX< T >::operator== | ( | T const & |  | ) | const
| inline

Definition at line 649 of file variant.hpp.

## ◆ operator>>()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator>> | ( | U const & |  | ) | const
| inline

Definition at line 647 of file variant.hpp.

## ◆ operator^()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator^ | ( | U const & |  | ) | const
| inline

Definition at line 654 of file variant.hpp.

## ◆ operator|()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator| | ( | U const & |  | ) | const
| inline

Definition at line 653 of file variant.hpp.

## ◆ operator||()

template<class T >
template<class U >

TX< T > nonstd::variants::detail::TX< T >::operator|| | ( | U const & |  | ) | const
| inline

Definition at line 657 of file variant.hpp.

## ◆ operator~()

template<class T >

TX< T > nonstd::variants::detail::TX< T >::operator~ | ( |  | ) | const
| inline

Definition at line 635 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp